aboutsummaryrefslogtreecommitdiffstats
path: root/lpass_copy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lpass_copy.sh')
-rwxr-xr-xlpass_copy.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/lpass_copy.sh b/lpass_copy.sh
new file mode 100755
index 0000000..9499dec
--- /dev/null
+++ b/lpass_copy.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+
+error() {
+ echo "$@"
+ exit 1
+}
+
+if [[ -z $1 ]]; then
+ error "Error: nothing to copy"
+fi
+
+if [[ -n $WAYLAND_DISLPLAY ]]; then
+ command=(wl-copy)
+ if [[ $X_SELECTION == primary ]]; then
+ command+=( --primary )
+ fi
+elif [[ -n $DISPLAY ]]; then
+ command=(xclip -selection clipboard)
+else
+ error "Error: X11 or Wayland display were not detected"
+fi
+
+echo "$1" | "${command[@]}" || error "Error: failed to copy data to clipboard"
+echo "Password copied to clipboard." \ No newline at end of file